[SHARE] New Externals Library

Jun 13, 2012 at 8:04pm

[SHARE] New Externals Library

Hi,

I’m pleased to share my new Max externals. It includes the beta of pg.descriptor~ the fft friend of waveform~ (Sonogram and analysis of a buffer~) and other fft, dsp and max externals :

http://cycling74.com/toolbox/pg-library-2/

http://pierreguillot.github.com/MaxObjects/

I hope that you’ll enjoy it and be pleased to have feedback.

Pierre

#46618
Jun 14, 2012 at 7:28am

Hi Pierre,

thanks for sharing !

but your FFT externals do not work here : (Max 6.0.5 / macOs 10.7.4)

pg.moment~: unable to load object bundle executable
2012-06-14 09:22:03.766 Max[38061:507] Error loading /Users/mathieuchamagne/Dropbox/_Max_/Add_externals/pg.library/MaxFFT/OsX externals/pg.moment~.mxo/Contents/MacOS/pg.moment~: dlopen(/Users/mathieuchamagne/Dropbox/_Max_/Add_externals/pg.library/MaxFFT/
OsX externals/pg.moment~.mxo/Contents/MacOS/pg.moment~, 262): Library not loaded: /usr/local/lib/libfftw3.3.dylib
Referenced from: /Users/mathieuchamagne/Dropbox/_Max_/Add_externals/pg.library/MaxFFT/OsX externals/pg.moment~.mxo/Contents/MacOS/pg.moment~
Reason: image not found

(same error message for all FFT objects)

looks like libfftw3.3.dylib is not included in the object…

Mathieu

#167699
Jun 14, 2012 at 9:32am

Hi,

Yep, I don’t explain how to use the fftw3… I should add few line about it!
The .dylib are dynamic library, externals can be compiled with a static or a dynamic library. With a dynamic library the user need to have it on his computer. With a static library, the library is in the package but I’m not sure that it’s going to work everywhere. I’m a developer since less than a year and I’ve never try to use static library before. Here, I’ve try with the pg.energy~, can you tell me if it works? If it’s works I’m going to make two library for max (a static one and a dynamic one) and publish it otherwise you’ll have to wait until I really understand how to do and try it on several computer.

The other solution is to install the fftw3 on you Mac. There’s several links where you can install the fftw3 library, it’s really easy and fast and it could be useful because this library is very popular :

http://pdb.finkproject.org/pdb/package.php/fftw3?rel_id=10.7-x86_64-current-stable

http://antst.net/Site/FFTW_for_MAC_OS_X.html

I think it’s should work.

Feedback helps me to improve my library, if you have other comments, I’ll be pleased to know it.
Thanks a lot.

Pierre

Attachments:
  1. pg.energy.mxo.zip
#167700
Jun 14, 2012 at 9:45am

Hello,

with [pg.energy~] i get :

2012-06-14 11:42:03.432 MaxMSP[214] CFLog (21): dyld returns 2 when trying to load /Users/jeantoto/Download/pg.energy~.mxo/Contents/MacOS/pg.energy~

max 5.1.9 / OS X.4.11.

#167701
Jun 14, 2012 at 11:50am

Hi Nicolas,

As expected, my static library don’t work with all the OS X version. I’m going to solve this problem in the next few days. And you use Max 5.1.9, have you try with Max 6 runtime? I said yesterday that there’s differences between the MaxAPI of Max 6 and MaxAPI of Max 5, that’s why the FFT externals work only on Max 6 :
http://cycling74.com/forums/topic.php?id=40459
I’m going to compile everything with the Max 5 SDK today. I’ll post a message when it will be done.

Thanks

#167702
Jun 14, 2012 at 2:10pm

Hello,

i did not try max6 as it is announced to require 10.5 and later only.

#167703
Jun 14, 2012 at 2:31pm

Re,

For Mac the FFT externals should work now for Max 5 and Max 6, but you still need to install the fftw3. I going to do the same for Windows now… or perhaps tonight… or tomorrow.

Thanks

#167704
Jun 14, 2012 at 3:57pm

ARfff,

Now I should work on Windows and OsX on MAx 5 and Max 6 and I give a few words of explanation about the fftw3. If you find something else that could be improved, please tell me.

Thanks.

Pierre

#167705

You must be logged in to reply to this topic.